import { Friend } from "./Friend";

/**
 * Get information about a membership
 * 
 * @author Pierre HUBERT
 */

export enum UserMembershipType { GROUP, FRIEND }

export class UserMembershipEntry {
	constructor(
		public lastActivity: number,
		public el: Friend | number,
		public type: UserMembershipType
	) {}
}